Subject: Re: [PATCH net-next 1/3] net: marvell: prestera: bump supported firmware version to 3.0

From: Andrew Lunn <[email-masked]>
Date: Wed, 28 Apr 2021 16:18:52 +0200

> Regarding the distribution issue when the driver version might be released
> earlier than the firmware, it looks like that the probability of such
> case is very low because the distributor of the target Linux system will
> keep track (actually this is how I see it) that driver and firmware
> versions are aligned.

You really expect Debian, Redhat, openWRT, SuSE to keep a close eye on
your kernel driver and update their packages at a time you suggest?

I'm also not sure your management port argument is valid. This is an
enterprise switch, not a TOR. It is probably installed in some broom
cupboard at a satellite facility. The management port is not likely to
have its own dedicated link back to the central management
site. Upgrades are going to be applied over the network, and you have
a real danger of turning it into a remote brick, needing local access
to restore it.

I really think you need to support two firmware generations.

  Andrew